<mat-card class="demo-card-wide">
  <mat-card-header (click)="goToModelDetails()">
    <div class="img-container">
      <img
        [src]="imageToShow ?? '../../../../../assets/images/default-model.png'"
        class="img-rounded"
        alt="Place image title"
        tabindex="0"
        *ngIf="!isImageLoading; else noImageFound"
      />
      <ng-template #noImageFound>
        <img src="fallbackImage.png" alt="Fallbackimage" />
      </ng-template>
    </div>
  </mat-card-header>
  <mat-card-content>
    <div>
      <div class="item-name-text">
        {{ item.name.toString().split("_").join(" ") }}
      </div>
      <label *ngIf="isMarketPlacePage" class="model-details-container">
        <span *ngIf="!item.sourceId && item.authors">
          {{ item.authors.length > 0 ? item.authors[0]?.name : item.ownerName }}
        </span>
        <span>{{ item.mPeer?.name }}</span> |
        <span> {{ item.modified || item.created | date: "MM/dd/yyyy" }}</span>
        |
        <span class="active-item" *ngIf="item.active">New</span>
      </label>
    </div>
    <div
      class="catalog-publisher-container"
      *ngIf="isMarketPlacePage && isPublishedSolution"
    >
      <gp-catalog-name [item]="item"></gp-catalog-name>

      |
      <gp-publisher [item]="item"></gp-publisher>
    </div>
    <div class="a-mp-container1" *ngIf="isPublishedSolution">
      <gp-stars [width]="getStarWidth(item.solutionRatingAvg).width"></gp-stars>

      <div *ngIf="isMarketPlacePage">
        <gp-tags-list [item]="item" [slnID]="slnID" [Tag]="Tag"></gp-tags-list>
      </div>
    </div>
    <div class="md-icons md-icons-tiles" *ngIf="isMarketPlacePage">
      <gp-comment-count
        *ngIf="isPublishedSolution"
        [item]="item"
      ></gp-comment-count>
      <gp-view-count *ngIf="isPublishedSolution" [item]="item"></gp-view-count>
      <gp-download-count
        *ngIf="isPublishedSolution"
        [item]="item"
      ></gp-download-count>
      <gp-favorite
        [item]="item"
        [items]="items"
        [loginUserID]="userId"
        (favoriteClicked)="onFavoriteClick(item.solutionId)"
        [isFavoriteSolution]="isFavoriteSolution"
      >
      </gp-favorite>
    </div>
  </mat-card-content>
</mat-card>
